from django.urls import path

from console.message import views

urlpatterns = [
    path("", views.MessageLView.as_view()),
    path("/<int:message_id>", views.MessageLView.as_view()),
    path("/notifications", views.PersonMessageLView.as_view()),
    path("/<int:message_id>/read", views.PersonMessageLView.as_view()),
    path("/<int:message_id>/del", views.PersonMessageLView.as_view()),
    path("/<int:message_id>/no_pop", views.PersonMessageNopopView.as_view()),
    path("/read_all", views.PersonMessageReadAllView.as_view()),
    path("/no_pop", views.MessageNopopView.as_view()),
]
